# This must be manually updated:
%define upstreamversion 2.0.2-21

Name:           satellite-schema
Group:          Applications/Internet
Summary:        Satellite schema upgrades and spacewalk-schema overrides
Version:        5.6.0.36
Release:        1%{?dist}
Source0:        %{name}-%{version}.tar.gz
License:        GPLv2
Url:            http://fedorahosted.org/spacewalk/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-build

Requires:       spacewalk-schema >= %{upstreamversion}
Obsoletes:      rhn-satellite-schema < 5.3.0

%define rhnroot /etc/sysconfig/rhn

%description
satellite-schema package contains satellite schema upgrade scripts
and spacewalk-schema overrides.

%prep
%setup -q -n satellite-schema-%{version}

%build
sed -i -e "s!SCHEMA_NAME!'%{name}'!" \
        -e "s!SCHEMA_VERSION!'%{version}'!" \
        -e "s!SCHEMA_RELEASE!'%{release}'!" schema-override/data/common/rhnVersionInfo.sql
for script in $(find upgrade/*to-satellite-schema-?.?* -name "*.sql"); do
	./spacewalk-oracle2postgresql $script > $script.postgresql
	mv $script $script.oracle
done

%install
rm -rf $RPM_BUILD_ROOT
install -m 0755 -d $RPM_BUILD_ROOT%{rhnroot}
install -m 0755 -d $RPM_BUILD_ROOT%{rhnroot}/schema-upgrade
install -m 0755 -d $RPM_BUILD_ROOT%{rhnroot}/oracle/schema-override
install -m 0755 -d $RPM_BUILD_ROOT%{rhnroot}/postgres/schema-override
install -m 0755 -d $RPM_BUILD_ROOT/etc/cron.daily
install -m 0755 schema-upgrade-notif $RPM_BUILD_ROOT/etc/cron.daily
tar cf - -C schema-override . | tar xf - -C $RPM_BUILD_ROOT%{rhnroot}/oracle/schema-override
tar cf - -C schema-override . | tar xf - -C $RPM_BUILD_ROOT%{rhnroot}/postgres/schema-override
tar cf - -C upgrade . | tar xf - -C $RPM_BUILD_ROOT%{rhnroot}/schema-upgrade

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{rhnroot}/schema-upgrade
%{rhnroot}/schema-upgrade/*
%{rhnroot}/oracle/schema-override
%{rhnroot}/postgres/schema-override
/etc/cron.daily/schema-upgrade-notif

%changelog
* Thu Jun 08 2017 Grant Gainey 5.6.0.36-1
- 1459964 - add schema-upgrade files

* Tue May 16 2017 Grant Gainey 5.6.0.35-1
- 1445406 - revert DISTINCT workaround to channel_families issue

* Fri Dec 16 2016 Grant Gainey 5.6.0.34-1
- 1402933 - Add lock_counts() call to unsubscribe_server path

* Thu Dec 08 2016 Grant Gainey 5.6.0.33-1
- 1402931 - Add 'for update' to ORA lock_counts rhnserver lock 
  * Update pgres version to know the hash of the new ORA version 
  * Update spacewalk/postgres/packages/rhn_(channel,entitlement).pkb 
    to correct ORA sha1sums

* Fri Nov 25 2016 Tomas Lestach <tlestach@redhat.com> 5.6.0.32-1
- [1385099, 1388157] - deadlocks in register/delete server paths cherry-picked
  from de2b3ef2583917d88956abda3b81578a8a42db2f

* Wed Aug 24 2016 Jiri Dostal <jdostal@redhat.com> 5.6.0.31-1
- satellite-schema upgrade oracle

* Tue Aug 23 2016 Jiri Dostal <jdostal@redhat.com> 5.6.0.30-1
- satellite-schema upgrade

* Mon Feb 08 2016 Tomas Kasparek <tkasparek@redhat.com> 5.6.0.29-1
- 1305157 - satellite-schema upgrade script

* Mon Dec 14 2015 Grant Gainey 5.6.0.28-1
- 1243948 - add queue-server to upgrade for 5.6.0.28

* Thu Sep 17 2015 Jiri Dostal <jdostal@redhat.com> 5.6.0.27-1
- updated satellite-schema

* Tue Jul 21 2015 Grant Gainey 5.6.0.26-1
- 1211729 - Restore missed commit to ORA

* Thu Jul 02 2015 Tomas Lestach <tlestach@redhat.com> 5.6.0.25-1
- 1234604 - teach oracle to do update_needed_cache async as well

* Mon Jun 22 2015 Grant Gainey 5.6.0.24-1
- 1230280 - Make rhn_channel.update_needed_cache hand off servers to Taskomatic

* Mon Jun 01 2015 Grant Gainey 5.6.0.23-1
- 1214484 - Fix postgresql LIMIT error

* Fri May 29 2015 Grant Gainey 5.6.0.22-1
- 1211729 - satellite schema-upgrade to avoid rhn_server.pkb deadlock

* Tue Dec 16 2014 Tomas Lestach <tlestach@redhat.com> 5.6.0.21-1
- 1173351 - apply spacewalk-schema changes

* Mon Sep 08 2014 Stephen Herr <sherr@redhat.com> 5.6.0.19-3
- moving upgrade scripts to correct dir
- 1139391 - copying schema upgrades to satellite schema
- 1115149 - copying schema upgrades into satellite schema
- Revert "Revert "1077365 - Fixing sha sum for oracle source""
- Revert "1077365 - Fixing sha sum for oracle source"

* Wed Jun 18 2014 Stephen Herr <sherr@redhat.com> 5.6.0.19-2
- 1077365 - Fixing sha sum for oracle source

* Wed Jun 18 2014 Stephen Herr <sherr@redhat.com> 5.6.0.19-1
- 1077365 - copying updates to satellite-schema and initializing channel_id

* Wed Mar 19 2014 Jan Dobes 5.6.0.18-1
- 1075990 - increase length of rhnCVE name column

* Tue Feb 18 2014 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.17-1
- 1020965 - update rhnServer after queue_server to avoid a deadlock

* Mon Feb 17 2014 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.16-1
- 1020965 - fix ORA-01422 error when removing a channel

* Fri Feb 14 2014 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.15-1
- 1020965 - fix fix ORA-01403: no data found, when (un)subscribing a system

* Wed Feb 12 2014 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.14-1
- 1020965 - lock rhnServerNeededCache to avoid a db deadlock

* Tue Feb 11 2014 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.13-1
- 1020965 - alter base channel via ssm: fix database deadlocks

* Thu Nov 21 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.12-1
- 1024826 - separate schema upgrades for PostgreSQL and Oracle

* Thu Nov 21 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.11-1
- 1024826 - delete child records in distChannelMap table

* Tue Aug 20 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.10-1
- rename schema upgrade scripts for Oracle upgrades

* Tue Aug 20 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.9-1
- Rename files to apply schema overrides for 5.4 and 5.5 schema upgrades

* Wed Aug 07 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.8-1
- Satellite schema upgrades: split the scripts for Oracle and PG

* Tue Aug 06 2013 Tomas Kasparek <tkasparek@redhat.com> 5.6.0.7-1
- Branding clean-up (RHN Satellite -> RH Satellite)
- include spacewalk 2.0 upgrades to satellite

* Tue Jun 25 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.6-1
- Satellite 5.6 beta1 -> beta2 schema upgrade path

* Wed Jun 05 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.5-1
- schema rebranding fixes

* Thu May 23 2013 Tomas Kasparek <tkasparek@redhat.com> 5.6.0.4-1
- changing product name in database strings

* Thu Apr 18 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.3-1
- schema upgrade and migration fixes

* Tue Apr 09 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.2-1
- remove extraneous scripts from schema upgrade

* Fri Apr 05 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.1-1
- satellite-schema for Satellite 5.6
- Schema upgrade path for Satellite 5.6

* Mon Feb 11 2013 Tomas Lestach <tlestach@redhat.com> 5.5.0.17-1
- adaptation of satellite-schema

* Fri Feb 08 2013 Tomas Lestach <tlestach@redhat.com> 5.5.0.16-1
- creating satellite-schema upgrade

* Mon Sep 10 2012 Jan Pazdziora 5.5.0.15-1
- Bumping up the target version for package respin.
- 849018 - We need to recreate the index.

* Mon Sep 10 2012 Jan Pazdziora 5.5.0.14-1
- 854686 - Fixing the rhn_command.command_class default.
- 849018 - schema upgrade scripts for extending rhnPackageCapability.version.

* Thu Jun 14 2012 Jan Pazdziora 5.5.0.13-1
- Disable rhn_channel_mod_trig while updating rhnChannel, so that last_modified
  does not get modified.

* Fri May 25 2012 Milan Zazrivec <mzazrivec@redhat.com> 5.5.0.12-1
- correctly update filelist

* Fri May 25 2012 Milan Zazrivec <mzazrivec@redhat.com> 5.5.0.11-1
- separate schema overrides for oracle and postgresql

* Thu May 10 2012 Jan Pazdziora 5.5.0.10-1
- We need to do escaping for PostgreSQL of overrides.

* Mon Apr 23 2012 Milan Zazrivec <mzazrivec@redhat.com> 5.5.0.9-1
- unify caps in product_name_mod_trig

* Fri Apr 20 2012 Milan Zazrivec <mzazrivec@redhat.com> 5.5.0.8-1
- add missing row into rhnTaskoTemplate
- don't update rhnPackageUpgradeArchCompat for 5.4 -> 5.5 upgrades

* Fri Apr 20 2012 Jan Pazdziora 5.5.0.7-1
- use correct job label (mzazrivec@redhat.com)
- add missing cleanup-timeseries-data task (mzazrivec@redhat.com)
- add missing schedule for cleanup-data-bunch (mzazrivec@redhat.com)
- fix rhnTaskoBunch upgrade data (mzazrivec@redhat.com)
- The CSDB_PASSWD was also removed in Spacewalk, in
  2033f6023dbb5257776db49c4482e9ecd6f17921.

* Thu Apr 19 2012 Milan Zazrivec <mzazrivec@redhat.com> 5.5.0.6-1
- Use conditional insert for package keys

* Mon Apr 16 2012 Milan Zazrivec <mzazrivec@redhat.com> 5.5.0.5-1
- schema overrides: use current_timestamp instead of sysdate

* Sun Apr 01 2012 Jan Pazdziora 5.5.0.4-1
- Fixing typo in rhnArchType data population.

* Tue Mar 20 2012 Milan Zazrivec <mzazrivec@redhat.com> 5.5.0.3-1
- schema upgrades for satellite-5.5

* Tue Mar 20 2012 Milan Zazrivec <mzazrivec@redhat.com> 5.5.0.2-1
- updated satellite-schema overrides

* Wed Mar 14 2012 Michael Mraka <michael.mraka@redhat.com> 5.5.0.1-1
- updated satellite schema version

* Thu Feb 02 2012 Tomas Lestach <tlestach@redhat.com> 5.4.0.19-1
- rename satellite upgrade scripts to have .sql extension (tlestach@redhat.com)

* Tue Jan 31 2012 Tomas Lestach <tlestach@redhat.com> 5.4.0.18-1
- require specific spacewalk-schema version (tlestach@redhat.com)
- adding satellite-schema upgrades for BZ 701767 & 782430 (tlestach@redhat.com)

* Wed Aug 17 2011 Tomas Lestach <tlestach@redhat.com> 5.4.0.17-1
- 722189 - upgrade script for satellite schema (tlestach@redhat.com)

* Thu Aug 11 2011 Tomas Lestach <tlestach@redhat.com> 5.4.0.16-1
- adding DB entries for complete errata cache regeneration
  (tlestach@redhat.com)

* Thu Aug 11 2011 Tomas Lestach <tlestach@redhat.com> 5.4.0.15-1
- satellite schema upgrade directory rename to follow the upgrade path
  (tlestach@redhat.com)

* Thu Aug 11 2011 Tomas Lestach <tlestach@redhat.com> 5.4.0.14-1
- 722189 - adding upgrade script for satellite schema (tlestach@redhat.com)

* Tue May 17 2011 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.13-1
- don't send schema notification during sat. installation

* Mon Apr 18 2011 Tomas Lestach <tlestach@redhat.com> 5.4.0.12-1
- adding satellite-schema upgrade script for BZ#644349 (tlestach@redhat.com)
- 696663 - variable name fix (mzazrivec@redhat.com)
- include post 5.4 schema changes into < 5.4 -> 5.4.1 schema upgrades
  (mzazrivec@redhat.com)
- verbatim copy of rhn_entitlements package body for bug #671450
  (mzazrivec@redhat.com)
- 696700 - insert new gpg keys only if they don't exist (mzazrivec@redhat.com)
- 696663 - schema upgrade cron notification (mzazrivec@redhat.com)

* Thu Mar 31 2011 Tomas Lestach <tlestach@redhat.com> 5.4.0.11-1
- require specific spacewalk-schema version (tlestach@redhat.com)
- add BZ#671450 to be applied by satellite schema upgrade (tlestach@redhat.com)

* Tue Mar 15 2011 Michael Mraka <michael.mraka@redhat.com> 5.4.0.10-1
- 671464 - added schema upgrade for new keys

* Fri Jan 07 2011 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.9-1
- schema fixes for #668007, #668004, #668002

* Tue Oct 05 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.8-1
- 640335 - remove Debian data from Satellite 5.4 schema

* Fri Oct 01 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.7-1
- consistent white spaces in rhnActionType

* Fri Oct 01 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.6-1
- include rhnActionType data updates (bug 509206)

* Fri Sep 24 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.4-1
- drop rhn_reporegenq_id_nn in satellite schema upgrades
- rhnActionType override needs to match its counterpart

* Wed Sep 08 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.3-1
- fix problem with overlaping sql scripts

* Thu Aug 26 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.2-1
- enable schema upgrades for Satellite 5.4

* Tue Aug 24 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.1-1
- update schema-overrides for Satellite 5.4

* Tue Jul 14 2009 Brad Buckingham <bbuckingham@redhat.com> 5.3.0.23-1
- 511134 - fixing issue where upgrades from 3.7 would leave kickstart --urls in
  a state that wouldnt work (jsherril@redhat.com)
- 511091 - fixing issue where after upgrades, some profiles were set to a virt
  type of kvm (jsherril@redhat.com)

* Tue Jul 07 2009 Brad Buckingham <bbuckingham@redhat.com> 5.3.0.22-1
- 509029 - schema/upgrade - update the text used for action type =
  kickstart_guest.initiate (bbuckingham@redhat.com)

* Mon May 18 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.21-1
- upgrade links were replaced with ref files

* Thu May 14 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.19-1
- added sql upgrade links for latest spacewalk-schema

* Wed May 06 2009 Devan Goodwin <dgoodwin@redhat.com> 5.3.0.18-1
- removed rhnFAQClass, rhnFAQ overrides (mzazrivec@redhat.com)

* Mon Apr 27 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.17-1
- added sql upgrade scripts from spacewalk-schema-0.5.20-8

* Wed Apr 22 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.16-1
- added sql upgrade scripts from spacewalk-schema-0.5.20-6

* Mon Apr 20 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.15-1
- 487319 - adding upgrade scripts from pre goldmember era (mzazrivec@redhat.com)

* Wed Apr 15 2009 Milan Zazrivec 5.3.0.14-1
- added sql upgrade scripts from spacewalk-schema-0.5.20-5

* Tue Apr 07 2009 Milan Zazrivec 5.3.0.13-1
- added sql upgrade scripts for bugs: 494475, 460136, 480060

* Tue Mar 31 2009 Milan Zazrivec 5.3.0.12-1
- added sql upgrade scripts from spacewalk-schema-0.5.20-1

* Thu Mar 12 2009 Milan Zazrivec 5.3.0.11-1
- added sql upgrade scripts from spacewalk-schema-0.5.17-1

* Thu Feb 19 2009 Milan Zazrivec 5.3.0.10-1
- added sql upgrade scripts from spacewalk-schema-0.5.9-1

* Fri Feb 13 2009 Milan Zazrivec 5.3.0.9-6
- added sql upgrade scripts from spacewalk-schema-0.5.7

* Wed Feb 11 2009 Milan Zazrivec 5.3.0.9-5
- added sql upgrade scripts from spacewalk-schema-0.5.4

* Fri Feb 06 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.9-4
- bump upstreamversion
- make the requires >= instead of =

* Fri Jan 23 2009 jesus m. rodriguez 5.3.0.9-3
- rebuild

* Fri Jan 23 2009 Milan Zazrivec 5.3.0.9-1
- requires latest spacewalk-schema (ver. 0.5.2)
- obsolete rhn-satellite-schema < 5.3.0

* Fri Jan 23 2009 Jan Pazdziora 5.3.0.7-1
- bump version to jump over previous tags (from spacewalk-schema)

* Fri Jan 23 2009 Jan Pazdziora 5.3.0.1-1
- minor changes

* Fri Jan 23 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.0-1
- initial packaging
